com.qualcomm.ftccommon

## Class ConfigWifiDirectActivity

- java.lang.Object
- - ThemedActivity
  - - com.qualcomm.ftccommon.ConfigWifiDirectActivity

-     public class ConfigWifiDirectActivity
      extends ThemedActivity

  This activity is used to correct any problems detected with the current Wifi Direct settings.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigWifiDirectActivity.Flag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigWifiDirectActivity()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTag()`
    `static void` | `launch(Context context)`
    `static void` | `launch(Context context, ConfigWifiDirectActivity.Flag flag)`
    `protected void` | `onCreate(Bundle savedInstanceState)`
    `protected void` | `onPause()`
    `protected void` | `onResume()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigWifiDirectActivity

          public ConfigWifiDirectActivity()

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag()

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

    - #### onResume

          protected void onResume()

    - #### onPause

          protected void onPause()

    - #### launch

          public static void launch(Context context)

    - #### launch

          public static void launch(Context context,
                                    ConfigWifiDirectActivity.Flag flag)